package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcWljgtj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcWlmqfzrMapper;
import com.ruoyi.tcZz.domain.TcWlmqfzr;
import com.ruoyi.tcZz.service.ITcWlmqfzrService;

/**
 * 网络民情负责人Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcWlmqfzrServiceImpl implements ITcWlmqfzrService 
{
    @Autowired
    private TcWlmqfzrMapper tcWlmqfzrMapper;

    /**
     * 查询网络民情负责人
     * 
     * @param id 网络民情负责人主键
     * @return 网络民情负责人
     */
    @Override
    public TcWlmqfzr selectTcWlmqfzrById(Long id)
    {
        return tcWlmqfzrMapper.selectTcWlmqfzrById(id);
    }

    /**
     * 查询网络民情负责人列表
     * 
     * @param tcWlmqfzr 网络民情负责人
     * @return 网络民情负责人
     */
    @Override
    public List<TcWlmqfzr> selectTcWlmqfzrList(TcWlmqfzr tcWlmqfzr)
    {
        return tcWlmqfzrMapper.selectTcWlmqfzrList(tcWlmqfzr);
    }

    /**
     * 新增网络民情负责人
     * 
     * @param tcWlmqfzr 网络民情负责人
     * @return 结果
     */
    @Override
    public int insertTcWlmqfzr(TcWlmqfzr tcWlmqfzr)
    {
        tcWlmqfzr.setCreateTime(DateUtils.getNowDate());
        return tcWlmqfzrMapper.insertTcWlmqfzr(tcWlmqfzr);
    }

    /**
     * 修改网络民情负责人
     * 
     * @param tcWlmqfzr 网络民情负责人
     * @return 结果
     */
    @Override
    public int updateTcWlmqfzr(TcWlmqfzr tcWlmqfzr)
    {
        tcWlmqfzr.setUpdateTime(DateUtils.getNowDate());
        return tcWlmqfzrMapper.updateTcWlmqfzr(tcWlmqfzr);
    }

    /**
     * 批量删除网络民情负责人
     * 
     * @param ids 需要删除的网络民情负责人主键
     * @return 结果
     */
    @Override
    public int deleteTcWlmqfzrByIds(Long[] ids)
    {
        return tcWlmqfzrMapper.deleteTcWlmqfzrByIds(ids);
    }

    /**
     * 删除网络民情负责人信息
     * 
     * @param id 网络民情负责人主键
     * @return 结果
     */
    @Override
    public int deleteTcWlmqfzrById(Long id)
    {
        return tcWlmqfzrMapper.deleteTcWlmqfzrById(id);
    }

    @Override
    public String importUser(List<TcWlmqfzr> tcWlmqfzrList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcWlmqfzrList.isEmpty()) {
            for (TcWlmqfzr tcWlmqfzr : tcWlmqfzrList) {
                tcWlmqfzrMapper.insertTcWlmqfzr(tcWlmqfzr);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcWlmqfzrMapper.updateByisStatus(isStatus,ids);
    }
}
